For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Get KYC - IdProof Status

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status
GET
/api/v2/kyc/id-proof-status
$curl -G https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status \
> -d workFlowRunId=
1{
2 "data": {
3 "status": "NOT_SUBMITTED",
4 "kycType": "STANDARD"
5 }
6}
The **Get KYC - IdProof Status** is an **authenticated API** call allows you to **dynamically retrieve the current status** of the `idProof` KYC workflow, specifically related to submissions processed via **Onfido**. - Initially, the status will be returned as **`NOT_SUBMITTED`**, indicating that the user has not yet completed or submitted their KYC information. - Once the KYC information has been **successfully submitted to Onfido**, the status automatically updates to **`SUBMITTED`**. This API is particularly useful for identifying the **precise point** at which a user has completed the document verification step through Onfido. It enables real-time tracking of the user's KYC progression, ensuring smoother orchestration of downstream steps in the onboarding flow.
Was this page helpful?
Previous

Get Additional Requirements

Next

Patch User Details

Built with

The Get KYC - IdProof Status is an authenticated API call allows you to dynamically retrieve the current status of the idProof KYC workflow, specifically related to submissions processed via Onfido.

  • Initially, the status will be returned as NOT_SUBMITTED, indicating that the user has not yet completed or submitted their KYC information.

  • Once the KYC information has been successfully submitted to Onfido, the status automatically updates to SUBMITTED.

This API is particularly useful for identifying the precise point at which a user has completed the document verification step through Onfido. It enables real-time tracking of the user’s KYC progression, ensuring smoother orchestration of downstream steps in the onboarding flow.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

workFlowRunIdstringRequired

workFlowRunId received in Get Additional Requirements API

Response

200 - Submitted

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error